{% extends "transport/base.html" %}

{% block extrastyle %}{{ block.super }}<style>.btn { min-width: 300px; }</style>{% endblock %}
{% block title %}Accueil transports{% endblock %}
{% block breadcrumb %}{% endblock %}

{% block bodyclass %}page-home{% endblock %}

{% block content %}
<div class="row row-cols-1 row-cols-md-3 g-4">
  <div class="col">
    <a href="{% url 'clients' %}" class="link-light">
    <div class="card h-100 text-white">
      <div class="card-body d-flex flex-column align-items-center justify-content-center">
        <h3 class="card-title">Clients</h5>
        <p class="card-text text-center">Gestion des clients transports</p>
      </div>
    </div>
    </a>
  </div>
  <div class="col">
    <a href="{% url 'benevoles' 'transport' %}" class="link-light">
    <div class="card h-100 text-white">
      <div class="card-body d-flex flex-column align-items-center justify-content-center">
        <h3 class="card-title">Chauffeurs</h3>
        <p class="card-text text-center">Gestion des chauffeurs bénévoles</p>
      </div>
    </div>
    </a>
  </div>
  <div class="col">
    <a href="{% url 'gestion' %}" class="link-light">
    <div class="card h-100 text-white">
      <div class="card-body d-flex flex-column align-items-center justify-content-center">
        <h3 class="card-title">Transports</h3>
        <p class="card-text text-center">Planification des transports</p>
      </div>
    </div>
    </a>
  </div>

  <div class="col">
    {% if perms.transport.change_adresse %}
    <a href="{% url 'transport-addresses' %}" class="link-light">
    <div class="card text-white mb-1">
      <div class="card-body card-smaller d-flex flex-column align-items-center justify-content-center">
        <h3 class="card-title text-center">Adresses de destination</h3>
      </div>
    </div>
    </a>
    {% endif %}
    {% if perms.common.change_utilisateur %}
    <a href="{% url 'utilisateur-list' %}" class="link-light">
    <div class="card text-white">
      <div class="card-body card-smaller d-flex flex-column align-items-center justify-content-center">
        <h3 class="card-title text-center">Gestion des utilisateurs</h3>
      </div>
    </div>
    </a>
    {% endif %}
  </div>
  {% if perms.transport.gestion_finances %}
  <div class="col">
    <a href="{% url 'finances' %}" class="link-light">
    <div class="card h-100 text-white">
      <div class="card-body d-flex flex-column align-items-center justify-content-center">
        <h3 class="card-title">Finances</h3>
        <p class="card-text text-center">Facturation & Défraiement</p>
      </div>
    </div>
    </a>
  </div>
  {% endif %}
  <div class="col">
    <a href="{% url 'stats-index' %}" class="link-light">
    <div class="card h-100 text-white">
      <div class="card-body d-flex flex-column align-items-center justify-content-center">
        <h3 class="card-title">Statistiques</h3>
        <p class="card-text text-center"></p>
      </div>
    </div>
    </a>
  </div>
</div>
{% endblock %}

{% block footer %}{% endblock %}
